openSUSE Security Update : salt (openSUSE-2020-357)

critical Nessus Plugin ID 134696

Language:

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for salt fixes the following issues :

- Avoid possible user escalation upgrading salt-master (bsc#1157465) (CVE-2019-18897)

- Fix unit tests failures in test_batch_async tests

- Batch Async: Handle exceptions, properly unregister and close instances after running async batching to avoid CPU starvation of the MWorkers (bsc#1162327)

- RHEL/CentOS 8 uses platform-python instead of python3

- New configuration option for selection of grains in the minion start event.

- Fix 'os_family' grain for Astra Linux Common Edition

- Fix for salt-api NET API where unauthenticated attacker could run arbitrary code (CVE-2019-17361) (bsc#1162504)

- Adds disabled parameter to mod_repo in aptpkg module Move token with atomic operation Bad API token files get deleted (bsc#1160931)

- Support for Btrfs and XFS in parted and mkfs added

- Adds list_downloaded for apt Module to enable pre-downloading support Adds virt.(pool|network)_get_xml functions

- Various libvirt updates :

- Add virt.pool_capabilities function

- virt.pool_running improvements

- Add virt.pool_deleted state

- virt.network_define allow adding IP configuration

- virt: adding kernel boot parameters to libvirt xml

- Fix to scheduler when data['run'] does not exist (bsc#1159118)

- Fix virt states to not fail on VMs already stopped

- Fix applying of attributes for returner rawfile_json (bsc#1158940)

- xfs: do not fail if type is not present (bsc#1153611)

- Fix errors when running virt.get_hypervisor function

- Align virt.full_info fixes with upstream Salt

- Fix for log checking in x509 test

- Read repo info without using interpolation (bsc#1135656)

- Limiting M2Crypto to >= SLE15

- Replacing pycrypto with M2Crypto (bsc#1165425)

This update was imported from the SUSE:SLE-15-SP1:Update update project.

Solution

Update the affected salt packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1135656

https://bugzilla.opensuse.org/show_bug.cgi?id=1153611

https://bugzilla.opensuse.org/show_bug.cgi?id=1157465

https://bugzilla.opensuse.org/show_bug.cgi?id=1158940

https://bugzilla.opensuse.org/show_bug.cgi?id=1159118

https://bugzilla.opensuse.org/show_bug.cgi?id=1160931

https://bugzilla.opensuse.org/show_bug.cgi?id=1162327

https://bugzilla.opensuse.org/show_bug.cgi?id=1162504

https://bugzilla.opensuse.org/show_bug.cgi?id=1165425

Plugin Details

Severity: Critical

ID: 134696

File Name: openSUSE-2020-357.nasl

Version: 1.3

Type: local

Agent: unix

Published: 3/19/2020

Updated: 5/18/2022

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: High

Base Score: 7.2

Temporal Score: 5.3

Vector: AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2019-18897

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:python2-salt, p-cpe:/a:novell:opensuse:python3-salt, p-cpe:/a:novell:opensuse:salt, p-cpe:/a:novell:opensuse:salt-api, p-cpe:/a:novell:opensuse:salt-bash-completion, p-cpe:/a:novell:opensuse:salt-cloud, p-cpe:/a:novell:opensuse:salt-fish-completion, p-cpe:/a:novell:opensuse:salt-master, p-cpe:/a:novell:opensuse:salt-minion, p-cpe:/a:novell:opensuse:salt-proxy, p-cpe:/a:novell:opensuse:salt-ssh, p-cpe:/a:novell:opensuse:salt-standalone-formulas-configuration, p-cpe:/a:novell:opensuse:salt-syndic, p-cpe:/a:novell:opensuse:salt-zsh-completion, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 3/18/2020

Vulnerability Publication Date: 1/17/2020

Reference Information

CVE: CVE-2019-17361, CVE-2019-18897